Bug 1307721 - libffado: FTBFS in rawhide
libffado: FTBFS in rawhide
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libffado (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:46 EST by Fedora Release Engineering
Modified: 2016-03-07 17:08 EST (History)
4 users (show)

See Also:
Fixed In Version: libffado-2.2.1-8.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-07 17:08:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (1.21 MB, text/plain)
2016-02-13 16:46 EST, Fedora Release Engineering
no flags Details
root.log (126.02 KB, text/plain)
2016-02-13 16:46 EST, Fedora Release Engineering
no flags Details
state.log (625 bytes, text/plain)
2016-02-13 16:46 EST, Fedora Release Engineering
no flags Details
Fix FTBFS with GCC 6 (#1307721) (2.36 KB, patch)
2016-02-29 22:27 EST, Yaakov Selkowitz
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 69721 None None None 2016-02-25 09:20 EST

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:46:43 EST
Your package libffado failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12830206

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:46:46 EST
Created attachment 1125224 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:46:47 EST
Created attachment 1125225 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:46:49 EST
Created attachment 1125226 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 09:52:08 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Yaakov Selkowitz 2016-02-25 09:20:00 EST
In file included from /usr/include/c++/6.0.0/math.h:36:0,
                 from src/libutil/TimestampedBuffer.cpp:182:
/usr/include/c++/6.0.0/cmath:101:37: error: '__is_integer' was not declared in this scope
     typename __gnu_cxx::__enable_if<__is_integer<_Tp>::__value,
                                     ^~~~~~~~~~~~

src/libutil/TimestampedBuffer.cpp has a #include <math.h> inside of a namespace; it needs to be moved to the head of the file.
Comment 6 Yaakov Selkowitz 2016-02-29 22:27 EST
Created attachment 1131792 [details]
Fix FTBFS with GCC 6 (#1307721)

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13183739

Note You need to log in before you can comment on or make changes to this bug.